StructSetOrResultsSet (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.cache.query.functional

## Class StructSetOrResultsSet

- java.lang.Object
- - org.apache.geode.cache.query.functional.StructSetOrResultsSet

-     public class StructSetOrResultsSet
      extends java.lang.Object

  Used by these tests:
EquiJoinIntegrationTest
IUMRCompositeIteratorJUnitTest
IUMRMultiIndexesMultiRegionJUnitTest
IUMRShuffleIteratorsJUnitTest
IUMRSingleRegionJUnitTest
IndexCreationJUnitTest
IndexHintJUnitTest
IndexMaintainceJUnitTest
IndexUseJUnitTest
IndexedMergeEquiJoinScenariosJUnitTest
MultiRegionIndexUsageJUnitTest
NonDistinctOrderByPartitionedJUnitTest
NonDistinctOrderByReplicatedJUnitTest
NonDistinctOrderByTestImplementation
OrderByPartitionedJUnitTest
OrderByReplicatedJUnitTest
OrderByTestImplementation
QueryIndexUsingXMLDUnitTest
QueryREUpdateInProgressJUnitTest
QueryUsingFunctionContextDUnitTest
QueryUsingPoolDUnitTest
TestNewFunctionSSorRSIntegrationTest Also used by:
GroupByTestImpl
PdxGroupByTestImpl
PRQueryDUnitHelper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StructSetOrResultsSet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `CompareCountStarQueryResultsWithoutAndWithIndexes(java.lang.Object[][] r, int len, boolean checkOrder, java.lang.String[] queries)` Creates a new instance of StructSetOrResultsSet
    `void` | `compareExternallySortedQueriesWithOrderBy(java.lang.String[] queries, java.lang.Object[][] baseResults)`
    `void` | `compareQueryResultLists(java.util.List r1, java.util.List r2, int len, boolean checkOrder, boolean checkClass, java.lang.String query)`
    `void` | `CompareQueryResultsAsListWithoutAndWithIndexes(java.lang.Object[][] r, int len, boolean checkOrder, boolean checkClass, java.lang.String[] queries)`
    `void` | `CompareQueryResultsAsListWithoutAndWithIndexes(java.lang.Object[][] r, int len, boolean checkOrder, java.lang.String[] queries)` Compares two ArrayLists containing query results with/without order.
    `void` | `CompareQueryResultsWithoutAndWithIndexes(java.lang.Object[][] r, int len, boolean checkOrder, java.lang.String[] queries)` Creates a new instance of StructSetOrResultsSet
    `void` | `CompareQueryResultsWithoutAndWithIndexes(java.lang.Object[][] r, int len, java.lang.String[] queries)`
    `org.apache.geode.cache.query.functional.StructSetOrResultsSet.Wrapper` | `getOrderByComparatorAndLimitForQuery(java.lang.String orderByQuery, int unorderedResultSize)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StructSetOrResultsSet

          public StructSetOrResultsSet()

  - ### Method Detail

    - #### CompareQueryResultsWithoutAndWithIndexes

          public void CompareQueryResultsWithoutAndWithIndexes(java.lang.Object[][] r,
                                                               int len,
                                                               java.lang.String[] queries)

    - #### CompareQueryResultsWithoutAndWithIndexes

          public void CompareQueryResultsWithoutAndWithIndexes(java.lang.Object[][] r,
                                                               int len,
                                                               boolean checkOrder,
                                                               java.lang.String[] queries)

      Creates a new instance of StructSetOrResultsSet

    - #### compareExternallySortedQueriesWithOrderBy

          public void compareExternallySortedQueriesWithOrderBy(java.lang.String[] queries,
                                                                java.lang.Object[][] baseResults)
                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getOrderByComparatorAndLimitForQuery

          public org.apache.geode.cache.query.functional.StructSetOrResultsSet.Wrapper getOrderByComparatorAndLimitForQuery(java.lang.String orderByQuery,
                                                                                                                            int unorderedResultSize)
                                                                                                                     throws FunctionDomainException,
                                                                                                                            TypeMismatchException,
                                                                                                                            NameResolutionException,
                                                                                                                            QueryInvocationTargetException,
                                                                                                                            java.lang.NoSuchFieldException,
                                                                                                                            java.lang.SecurityException,
                                                                                                                            java.lang.IllegalArgumentException,
                                                                                                                            java.lang.IllegalAccessException,
                                                                                                                            java.lang.NoSuchMethodException,
                                                                                                                            java.lang.reflect.InvocationTargetException

      Throws:
        `FunctionDomainException`
        `TypeMismatchException`
        `NameResolutionException`
        `QueryInvocationTargetException`
        `java.lang.NoSuchFieldException`
        `java.lang.SecurityException`
        `java.lang.IllegalArgumentException`
        `java.lang.IllegalAccessException`
        `java.lang.NoSuchMethodException`
        `java.lang.reflect.InvocationTargetException`

    - #### CompareCountStarQueryResultsWithoutAndWithIndexes

          public void CompareCountStarQueryResultsWithoutAndWithIndexes(java.lang.Object[][] r,
                                                                        int len,
                                                                        boolean checkOrder,
                                                                        java.lang.String[] queries)

      Creates a new instance of StructSetOrResultsSet

    - #### CompareQueryResultsAsListWithoutAndWithIndexes

          public void CompareQueryResultsAsListWithoutAndWithIndexes(java.lang.Object[][] r,
                                                                     int len,
                                                                     boolean checkOrder,
                                                                     java.lang.String[] queries)

      Compares two ArrayLists containing query results with/without order.

    - #### CompareQueryResultsAsListWithoutAndWithIndexes

          public void CompareQueryResultsAsListWithoutAndWithIndexes(java.lang.Object[][] r,
                                                                     int len,
                                                                     boolean checkOrder,
                                                                     boolean checkClass,
                                                                     java.lang.String[] queries)

    - #### compareQueryResultLists

          public void compareQueryResultLists(java.util.List r1,
                                              java.util.List r2,
                                              int len,
                                              boolean checkOrder,
                                              boolean checkClass,
                                              java.lang.String query)